Title Link API
With the Title Link API, you can request a share link for any title in the OverDrive catalog, which you can use on social media, in blogs, on library websites, etc. The link shows details about the title and its availability in Libby at libraries near the user. See an example link here.
Using the Title Link API
The Title Link API uses GET requests to search for a title and return a share link. It requires a client access token with a Search (SRCH) scope. Learn more about client authentication.
Resource URL
https://api.overdrive.com/v1/share/find?{parameters}Query parameters
| Parameter | Description |
|---|---|
| title | The name of the book |
| creator | The author, narrator, illustrator, or other person who created the title. If a title has multiple creators, only provide one in your request. |
| isbn | The digital ISBN of the title |
| mediaType | Either "ebook" or "audiobook" |
Best practices
- Search for a single title in your request. If there are multiple titles that fit your parameters, the response will return only the first search result.
- For the best results, use both the title and creator parameters to find the specific title you want. The values must be URL-encoded.
- If you use the isbn parameter, make sure to use the digital ISBN. Print ISBNs are unlikely to get results.
- Use the mediaType parameter if you're looking for a specific format. If this parameter isn't specified in your request, the response will return whichever format appears first in search.
Example request
GET https://api.overdrive.com/v1/share/find?title=the%20hobbit&creator=jrr%20tolkien&mediaType=ebook
User-Agent: {Your application}
Authorization: Bearer {OAuth access token}
Host: api.overdrive.comExample response
200 OK
Date: Fri, 26 Apr 2024 17:43:00 GMT
X-Content-Type-Options: nosniff
Strict-Transport-Security: max-age=31536000; includeSubDomains
Content-Length: 1252
Content-Type: application/json; charset=utf-8
{
"title": "The Hobbit",
"creators": [
"J.R.R. Tolkien",
"JRR Tolkien",
"J. R. R. Tolkien"
],
"mediaType": "ebook",
"languages": [
"en"
],
"shareLink": {
"href": "https://link.overdrive.com/share?q=l_EPANhexNI",
"type": "text/HTML"
}
}In the response, you'll see basic details about the title (including name, creator, format, and language) and the share link. The link.overdrive.com URL in the response will redirect you to a share.libbyapp.com URL.
If your requested title isn't found, you'll get a "404 NotFound" error:
Example error response
404 NotFound
Date: Fri, 26 Apr 2024 17:43:00 GMT
Strict-Transport-Security: max-age=480; includeSubDomains
Content-Length: 128
Content-Type: application/json; charset=utf-8
{
"errorCode": "TitleNotFoundError",
"message": "The requested title was not found.",
"token": "fdccf441-548a-4cd4-8130-4ea9e465499b"
}If a required parameter isn't provided, or if any parameters have a bad value, you'll get a "400 BadRequest" error:
Example error response
400 BadRequest
Date: Tue, 23 Jul 2024 15:37:07 GMT
Strict-Transport-Security: max-age=480; includeSubDomains
Content-Length: 162
Content-Type: application/json; charset=utf-8
{
"errorCode": "Title or ISBN is required.",
"message": "An unmapped error has occurred. 'Title or ISBN is required.'",
"token": "2514909f-b526-4a45-b0ca-7b2f75c404d6"
}